package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 理论记录表
 *
 * @author xcj
 * stu_theory_record
 */
public class StuTheoryRecord {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("考试次数")
    private Integer examCount;

    @ApiModelProperty("考试最高分")
    private BigDecimal highestScore;

    @ApiModelProperty("考试最低分")
    private BigDecimal lowestScore;

    @ApiModelProperty("考试合计时长")
    private Integer totalDuration;

    @ApiModelProperty("平均分")
    private BigDecimal averageScore;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId == null ? null : studentId.trim();
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public BigDecimal getHighestScore() {
        return highestScore;
    }

    public void setHighestScore(BigDecimal highestScore) {
        this.highestScore = highestScore;
    }

    public BigDecimal getLowestScore() {
        return lowestScore;
    }

    public void setLowestScore(BigDecimal lowestScore) {
        this.lowestScore = lowestScore;
    }

    public Integer getTotalDuration() {
        return totalDuration;
    }

    public void setTotalDuration(Integer totalDuration) {
        this.totalDuration = totalDuration;
    }

    public BigDecimal getAverageScore() {
        return averageScore;
    }

    public void setAverageScore(BigDecimal averageScore) {
        this.averageScore = averageScore;
    }
}