package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class SysCaseQuestionBankExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SysCaseQuestionBankExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCaseIdIsNull() {
            addCriterion("case_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseIdIsNotNull() {
            addCriterion("case_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseIdEqualTo(String value) {
            addCriterion("case_id =", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotEqualTo(String value) {
            addCriterion("case_id <>", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThan(String value) {
            addCriterion("case_id >", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_id >=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThan(String value) {
            addCriterion("case_id <", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThanOrEqualTo(String value) {
            addCriterion("case_id <=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLike(String value) {
            addCriterion("case_id like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotLike(String value) {
            addCriterion("case_id not like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdIn(List<String> values) {
            addCriterion("case_id in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotIn(List<String> values) {
            addCriterion("case_id not in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdBetween(String value1, String value2) {
            addCriterion("case_id between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotBetween(String value1, String value2) {
            addCriterion("case_id not between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdIsNull() {
            addCriterion("case_step_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdIsNotNull() {
            addCriterion("case_step_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdEqualTo(String value) {
            addCriterion("case_step_id =", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdNotEqualTo(String value) {
            addCriterion("case_step_id <>", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdGreaterThan(String value) {
            addCriterion("case_step_id >", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_step_id >=", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdLessThan(String value) {
            addCriterion("case_step_id <", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdLessThanOrEqualTo(String value) {
            addCriterion("case_step_id <=", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdLike(String value) {
            addCriterion("case_step_id like", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdNotLike(String value) {
            addCriterion("case_step_id not like", value, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdIn(List<String> values) {
            addCriterion("case_step_id in", values, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdNotIn(List<String> values) {
            addCriterion("case_step_id not in", values, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdBetween(String value1, String value2) {
            addCriterion("case_step_id between", value1, value2, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andCaseStepIdNotBetween(String value1, String value2) {
            addCriterion("case_step_id not between", value1, value2, "caseStepId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNull() {
            addCriterion("chapter_id is null");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNotNull() {
            addCriterion("chapter_id is not null");
            return (Criteria) this;
        }

        public Criteria andChapterIdEqualTo(String value) {
            addCriterion("chapter_id =", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotEqualTo(String value) {
            addCriterion("chapter_id <>", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThan(String value) {
            addCriterion("chapter_id >", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_id >=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThan(String value) {
            addCriterion("chapter_id <", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThanOrEqualTo(String value) {
            addCriterion("chapter_id <=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLike(String value) {
            addCriterion("chapter_id like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotLike(String value) {
            addCriterion("chapter_id not like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIn(List<String> values) {
            addCriterion("chapter_id in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotIn(List<String> values) {
            addCriterion("chapter_id not in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdBetween(String value1, String value2) {
            addCriterion("chapter_id between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotBetween(String value1, String value2) {
            addCriterion("chapter_id not between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andSortIsNull() {
            addCriterion("sort is null");
            return (Criteria) this;
        }

        public Criteria andSortIsNotNull() {
            addCriterion("sort is not null");
            return (Criteria) this;
        }

        public Criteria andSortEqualTo(Integer value) {
            addCriterion("sort =", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotEqualTo(Integer value) {
            addCriterion("sort <>", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThan(Integer value) {
            addCriterion("sort >", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThanOrEqualTo(Integer value) {
            addCriterion("sort >=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThan(Integer value) {
            addCriterion("sort <", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThanOrEqualTo(Integer value) {
            addCriterion("sort <=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortIn(List<Integer> values) {
            addCriterion("sort in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotIn(List<Integer> values) {
            addCriterion("sort not in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortBetween(Integer value1, Integer value2) {
            addCriterion("sort between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotBetween(Integer value1, Integer value2) {
            addCriterion("sort not between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andTitleIsNull() {
            addCriterion("title is null");
            return (Criteria) this;
        }

        public Criteria andTitleIsNotNull() {
            addCriterion("title is not null");
            return (Criteria) this;
        }

        public Criteria andTitleEqualTo(String value) {
            addCriterion("title =", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotEqualTo(String value) {
            addCriterion("title <>", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThan(String value) {
            addCriterion("title >", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThanOrEqualTo(String value) {
            addCriterion("title >=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThan(String value) {
            addCriterion("title <", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThanOrEqualTo(String value) {
            addCriterion("title <=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLike(String value) {
            addCriterion("title like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotLike(String value) {
            addCriterion("title not like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleIn(List<String> values) {
            addCriterion("title in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotIn(List<String> values) {
            addCriterion("title not in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleBetween(String value1, String value2) {
            addCriterion("title between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotBetween(String value1, String value2) {
            addCriterion("title not between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andContentIsNull() {
            addCriterion("content is null");
            return (Criteria) this;
        }

        public Criteria andContentIsNotNull() {
            addCriterion("content is not null");
            return (Criteria) this;
        }

        public Criteria andContentEqualTo(String value) {
            addCriterion("content =", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentNotEqualTo(String value) {
            addCriterion("content <>", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentGreaterThan(String value) {
            addCriterion("content >", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentGreaterThanOrEqualTo(String value) {
            addCriterion("content >=", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentLessThan(String value) {
            addCriterion("content <", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentLessThanOrEqualTo(String value) {
            addCriterion("content <=", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentLike(String value) {
            addCriterion("content like", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentNotLike(String value) {
            addCriterion("content not like", value, "content");
            return (Criteria) this;
        }

        public Criteria andContentIn(List<String> values) {
            addCriterion("content in", values, "content");
            return (Criteria) this;
        }

        public Criteria andContentNotIn(List<String> values) {
            addCriterion("content not in", values, "content");
            return (Criteria) this;
        }

        public Criteria andContentBetween(String value1, String value2) {
            addCriterion("content between", value1, value2, "content");
            return (Criteria) this;
        }

        public Criteria andContentNotBetween(String value1, String value2) {
            addCriterion("content not between", value1, value2, "content");
            return (Criteria) this;
        }

        public Criteria andQuestionIsNull() {
            addCriterion("question is null");
            return (Criteria) this;
        }

        public Criteria andQuestionIsNotNull() {
            addCriterion("question is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionEqualTo(String value) {
            addCriterion("question =", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionNotEqualTo(String value) {
            addCriterion("question <>", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionGreaterThan(String value) {
            addCriterion("question >", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionGreaterThanOrEqualTo(String value) {
            addCriterion("question >=", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionLessThan(String value) {
            addCriterion("question <", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionLessThanOrEqualTo(String value) {
            addCriterion("question <=", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionLike(String value) {
            addCriterion("question like", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionNotLike(String value) {
            addCriterion("question not like", value, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionIn(List<String> values) {
            addCriterion("question in", values, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionNotIn(List<String> values) {
            addCriterion("question not in", values, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionBetween(String value1, String value2) {
            addCriterion("question between", value1, value2, "question");
            return (Criteria) this;
        }

        public Criteria andQuestionNotBetween(String value1, String value2) {
            addCriterion("question not between", value1, value2, "question");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNull() {
            addCriterion("answer is null");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNotNull() {
            addCriterion("answer is not null");
            return (Criteria) this;
        }

        public Criteria andAnswerEqualTo(String value) {
            addCriterion("answer =", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotEqualTo(String value) {
            addCriterion("answer <>", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThan(String value) {
            addCriterion("answer >", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("answer >=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThan(String value) {
            addCriterion("answer <", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThanOrEqualTo(String value) {
            addCriterion("answer <=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLike(String value) {
            addCriterion("answer like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotLike(String value) {
            addCriterion("answer not like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerIn(List<String> values) {
            addCriterion("answer in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotIn(List<String> values) {
            addCriterion("answer not in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerBetween(String value1, String value2) {
            addCriterion("answer between", value1, value2, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotBetween(String value1, String value2) {
            addCriterion("answer not between", value1, value2, "answer");
            return (Criteria) this;
        }

        public Criteria andContentOriginalIsNull() {
            addCriterion("content_original is null");
            return (Criteria) this;
        }

        public Criteria andContentOriginalIsNotNull() {
            addCriterion("content_original is not null");
            return (Criteria) this;
        }

        public Criteria andContentOriginalEqualTo(String value) {
            addCriterion("content_original =", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalNotEqualTo(String value) {
            addCriterion("content_original <>", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalGreaterThan(String value) {
            addCriterion("content_original >", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalGreaterThanOrEqualTo(String value) {
            addCriterion("content_original >=", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalLessThan(String value) {
            addCriterion("content_original <", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalLessThanOrEqualTo(String value) {
            addCriterion("content_original <=", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalLike(String value) {
            addCriterion("content_original like", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalNotLike(String value) {
            addCriterion("content_original not like", value, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalIn(List<String> values) {
            addCriterion("content_original in", values, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalNotIn(List<String> values) {
            addCriterion("content_original not in", values, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalBetween(String value1, String value2) {
            addCriterion("content_original between", value1, value2, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andContentOriginalNotBetween(String value1, String value2) {
            addCriterion("content_original not between", value1, value2, "contentOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalIsNull() {
            addCriterion("question_original is null");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalIsNotNull() {
            addCriterion("question_original is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalEqualTo(String value) {
            addCriterion("question_original =", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalNotEqualTo(String value) {
            addCriterion("question_original <>", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalGreaterThan(String value) {
            addCriterion("question_original >", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalGreaterThanOrEqualTo(String value) {
            addCriterion("question_original >=", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalLessThan(String value) {
            addCriterion("question_original <", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalLessThanOrEqualTo(String value) {
            addCriterion("question_original <=", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalLike(String value) {
            addCriterion("question_original like", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalNotLike(String value) {
            addCriterion("question_original not like", value, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalIn(List<String> values) {
            addCriterion("question_original in", values, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalNotIn(List<String> values) {
            addCriterion("question_original not in", values, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalBetween(String value1, String value2) {
            addCriterion("question_original between", value1, value2, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andQuestionOriginalNotBetween(String value1, String value2) {
            addCriterion("question_original not between", value1, value2, "questionOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalIsNull() {
            addCriterion("answer_original is null");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalIsNotNull() {
            addCriterion("answer_original is not null");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalEqualTo(String value) {
            addCriterion("answer_original =", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalNotEqualTo(String value) {
            addCriterion("answer_original <>", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalGreaterThan(String value) {
            addCriterion("answer_original >", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalGreaterThanOrEqualTo(String value) {
            addCriterion("answer_original >=", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalLessThan(String value) {
            addCriterion("answer_original <", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalLessThanOrEqualTo(String value) {
            addCriterion("answer_original <=", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalLike(String value) {
            addCriterion("answer_original like", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalNotLike(String value) {
            addCriterion("answer_original not like", value, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalIn(List<String> values) {
            addCriterion("answer_original in", values, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalNotIn(List<String> values) {
            addCriterion("answer_original not in", values, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalBetween(String value1, String value2) {
            addCriterion("answer_original between", value1, value2, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andAnswerOriginalNotBetween(String value1, String value2) {
            addCriterion("answer_original not between", value1, value2, "answerOriginal");
            return (Criteria) this;
        }

        public Criteria andStepScoreIsNull() {
            addCriterion("step_score is null");
            return (Criteria) this;
        }

        public Criteria andStepScoreIsNotNull() {
            addCriterion("step_score is not null");
            return (Criteria) this;
        }

        public Criteria andStepScoreEqualTo(BigDecimal value) {
            addCriterion("step_score =", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreNotEqualTo(BigDecimal value) {
            addCriterion("step_score <>", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreGreaterThan(BigDecimal value) {
            addCriterion("step_score >", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("step_score >=", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreLessThan(BigDecimal value) {
            addCriterion("step_score <", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("step_score <=", value, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreIn(List<BigDecimal> values) {
            addCriterion("step_score in", values, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreNotIn(List<BigDecimal> values) {
            addCriterion("step_score not in", values, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("step_score between", value1, value2, "stepScore");
            return (Criteria) this;
        }

        public Criteria andStepScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("step_score not between", value1, value2, "stepScore");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNull() {
            addCriterion("input_type is null");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNotNull() {
            addCriterion("input_type is not null");
            return (Criteria) this;
        }

        public Criteria andInputTypeEqualTo(String value) {
            addCriterion("input_type =", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotEqualTo(String value) {
            addCriterion("input_type <>", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThan(String value) {
            addCriterion("input_type >", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThanOrEqualTo(String value) {
            addCriterion("input_type >=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThan(String value) {
            addCriterion("input_type <", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThanOrEqualTo(String value) {
            addCriterion("input_type <=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLike(String value) {
            addCriterion("input_type like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotLike(String value) {
            addCriterion("input_type not like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeIn(List<String> values) {
            addCriterion("input_type in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotIn(List<String> values) {
            addCriterion("input_type not in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeBetween(String value1, String value2) {
            addCriterion("input_type between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotBetween(String value1, String value2) {
            addCriterion("input_type not between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}