package com.sztzjy.financial_bigdata.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 用户登录日志表
 *
 * @author xcj
 * sys_log
 */
public class SysLog {
    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("方法")
    private String method;

    @ApiModelProperty("请求地址")
    private String requestUrl;

    @ApiModelProperty("请求参数")
    private String params;

    @ApiModelProperty("IP")
    private String ip;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("响应时间")
    private Date resultTime;

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("学生ID")
    private Long studentId;

    @ApiModelProperty("session")
    private String session;

    @ApiModelProperty("管理员或教师ID")
    private Long userId;

    @ApiModelProperty("微信ID")
    private String openId;

    @ApiModelProperty("结果")
    private String result;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method == null ? null : method.trim();
    }

    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl == null ? null : requestUrl.trim();
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params == null ? null : params.trim();
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip == null ? null : ip.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getResultTime() {
        return resultTime;
    }

    public void setResultTime(Date resultTime) {
        this.resultTime = resultTime;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token == null ? null : token.trim();
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSession() {
        return session;
    }

    public void setSession(String session) {
        this.session = session == null ? null : session.trim();
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId == null ? null : openId.trim();
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result == null ? null : result.trim();
    }
}