package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 客观题库表
 *
 * @author xcj
 * sys_objective_question
 */
public class SysObjectiveQuestion {
    @ApiModelProperty("客观题ID")
    private String objectiveId;

    @ApiModelProperty("课程ID")
    private String courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("输入类型")
    private String inputType;

    @ApiModelProperty("题目类型")
    private String type;

    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("选项A")
    private String questionA;

    @ApiModelProperty("选项B")
    private String questionB;

    @ApiModelProperty("选项C")
    private String questionC;

    @ApiModelProperty("选项D")
    private String questionD;

    @ApiModelProperty("选项e")
    private String questionE;

    @ApiModelProperty("答案")
    private String answer;

    public String getObjectiveId() {
        return objectiveId;
    }

    public void setObjectiveId(String objectiveId) {
        this.objectiveId = objectiveId == null ? null : objectiveId.trim();
    }

    public String getCourseId() {
        return courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId == null ? null : courseId.trim();
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName == null ? null : courseName.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType == null ? null : inputType.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getQuestionA() {
        return questionA;
    }

    public void setQuestionA(String questionA) {
        this.questionA = questionA == null ? null : questionA.trim();
    }

    public String getQuestionB() {
        return questionB;
    }

    public void setQuestionB(String questionB) {
        this.questionB = questionB == null ? null : questionB.trim();
    }

    public String getQuestionC() {
        return questionC;
    }

    public void setQuestionC(String questionC) {
        this.questionC = questionC == null ? null : questionC.trim();
    }

    public String getQuestionD() {
        return questionD;
    }

    public void setQuestionD(String questionD) {
        this.questionD = questionD == null ? null : questionD.trim();
    }

    public String getQuestionE() {
        return questionE;
    }

    public void setQuestionE(String questionE) {
        this.questionE = questionE == null ? null : questionE.trim();
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer == null ? null : answer.trim();
    }
}