package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 考试管理表
 *
 * @author xcj
 * tea_exam_manage
 */
public class TeaExamManage {
    @ApiModelProperty("考试管理ID")
    private String examManageId;

    @ApiModelProperty("考试名称")
    private String examName;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("LOGO地址")
    private String logoAddress;

    @ApiModelProperty("考试描述")
    private String examDescription;

    @ApiModelProperty("客观题权重")
    private BigDecimal objectiveWeight;

    @ApiModelProperty("案例题权重")
    private BigDecimal caseWeight;

    @ApiModelProperty("单选题分数")
    private BigDecimal singleScore;

    @ApiModelProperty("多选题分数")
    private BigDecimal manyScore;

    @ApiModelProperty("判断题分数")
    private BigDecimal judgeScore;

    @ApiModelProperty("案例题分数")
    private BigDecimal caseScore;

    public String getExamManageId() {
        return examManageId;
    }

    public void setExamManageId(String examManageId) {
        this.examManageId = examManageId == null ? null : examManageId.trim();
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName == null ? null : examName.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public String getLogoAddress() {
        return logoAddress;
    }

    public void setLogoAddress(String logoAddress) {
        this.logoAddress = logoAddress == null ? null : logoAddress.trim();
    }

    public String getExamDescription() {
        return examDescription;
    }

    public void setExamDescription(String examDescription) {
        this.examDescription = examDescription == null ? null : examDescription.trim();
    }

    public BigDecimal getObjectiveWeight() {
        return objectiveWeight;
    }

    public void setObjectiveWeight(BigDecimal objectiveWeight) {
        this.objectiveWeight = objectiveWeight;
    }

    public BigDecimal getCaseWeight() {
        return caseWeight;
    }

    public void setCaseWeight(BigDecimal caseWeight) {
        this.caseWeight = caseWeight;
    }

    public BigDecimal getSingleScore() {
        return singleScore;
    }

    public void setSingleScore(BigDecimal singleScore) {
        this.singleScore = singleScore;
    }

    public BigDecimal getManyScore() {
        return manyScore;
    }

    public void setManyScore(BigDecimal manyScore) {
        this.manyScore = manyScore;
    }

    public BigDecimal getJudgeScore() {
        return judgeScore;
    }

    public void setJudgeScore(BigDecimal judgeScore) {
        this.judgeScore = judgeScore;
    }

    public BigDecimal getCaseScore() {
        return caseScore;
    }

    public void setCaseScore(BigDecimal caseScore) {
        this.caseScore = caseScore;
    }
}