package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TeaExamManageExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TeaExamManageExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andExamManageIdIsNull() {
            addCriterion("exam_manage_id is null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIsNotNull() {
            addCriterion("exam_manage_id is not null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdEqualTo(String value) {
            addCriterion("exam_manage_id =", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotEqualTo(String value) {
            addCriterion("exam_manage_id <>", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThan(String value) {
            addCriterion("exam_manage_id >", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThanOrEqualTo(String value) {
            addCriterion("exam_manage_id >=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThan(String value) {
            addCriterion("exam_manage_id <", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThanOrEqualTo(String value) {
            addCriterion("exam_manage_id <=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLike(String value) {
            addCriterion("exam_manage_id like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotLike(String value) {
            addCriterion("exam_manage_id not like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIn(List<String> values) {
            addCriterion("exam_manage_id in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotIn(List<String> values) {
            addCriterion("exam_manage_id not in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdBetween(String value1, String value2) {
            addCriterion("exam_manage_id between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotBetween(String value1, String value2) {
            addCriterion("exam_manage_id not between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamNameIsNull() {
            addCriterion("exam_name is null");
            return (Criteria) this;
        }

        public Criteria andExamNameIsNotNull() {
            addCriterion("exam_name is not null");
            return (Criteria) this;
        }

        public Criteria andExamNameEqualTo(String value) {
            addCriterion("exam_name =", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameNotEqualTo(String value) {
            addCriterion("exam_name <>", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameGreaterThan(String value) {
            addCriterion("exam_name >", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameGreaterThanOrEqualTo(String value) {
            addCriterion("exam_name >=", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameLessThan(String value) {
            addCriterion("exam_name <", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameLessThanOrEqualTo(String value) {
            addCriterion("exam_name <=", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameLike(String value) {
            addCriterion("exam_name like", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameNotLike(String value) {
            addCriterion("exam_name not like", value, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameIn(List<String> values) {
            addCriterion("exam_name in", values, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameNotIn(List<String> values) {
            addCriterion("exam_name not in", values, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameBetween(String value1, String value2) {
            addCriterion("exam_name between", value1, value2, "examName");
            return (Criteria) this;
        }

        public Criteria andExamNameNotBetween(String value1, String value2) {
            addCriterion("exam_name not between", value1, value2, "examName");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("start_time is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("start_time is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("start_time =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("start_time <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("start_time >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("start_time >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("start_time <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("start_time <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("start_time in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("start_time not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("start_time between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("start_time not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andLogoAddressIsNull() {
            addCriterion("logo_address is null");
            return (Criteria) this;
        }

        public Criteria andLogoAddressIsNotNull() {
            addCriterion("logo_address is not null");
            return (Criteria) this;
        }

        public Criteria andLogoAddressEqualTo(String value) {
            addCriterion("logo_address =", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressNotEqualTo(String value) {
            addCriterion("logo_address <>", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressGreaterThan(String value) {
            addCriterion("logo_address >", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressGreaterThanOrEqualTo(String value) {
            addCriterion("logo_address >=", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressLessThan(String value) {
            addCriterion("logo_address <", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressLessThanOrEqualTo(String value) {
            addCriterion("logo_address <=", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressLike(String value) {
            addCriterion("logo_address like", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressNotLike(String value) {
            addCriterion("logo_address not like", value, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressIn(List<String> values) {
            addCriterion("logo_address in", values, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressNotIn(List<String> values) {
            addCriterion("logo_address not in", values, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressBetween(String value1, String value2) {
            addCriterion("logo_address between", value1, value2, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andLogoAddressNotBetween(String value1, String value2) {
            addCriterion("logo_address not between", value1, value2, "logoAddress");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionIsNull() {
            addCriterion("exam_Description is null");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionIsNotNull() {
            addCriterion("exam_Description is not null");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionEqualTo(String value) {
            addCriterion("exam_Description =", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionNotEqualTo(String value) {
            addCriterion("exam_Description <>", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionGreaterThan(String value) {
            addCriterion("exam_Description >", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("exam_Description >=", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionLessThan(String value) {
            addCriterion("exam_Description <", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionLessThanOrEqualTo(String value) {
            addCriterion("exam_Description <=", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionLike(String value) {
            addCriterion("exam_Description like", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionNotLike(String value) {
            addCriterion("exam_Description not like", value, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionIn(List<String> values) {
            addCriterion("exam_Description in", values, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionNotIn(List<String> values) {
            addCriterion("exam_Description not in", values, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionBetween(String value1, String value2) {
            addCriterion("exam_Description between", value1, value2, "examDescription");
            return (Criteria) this;
        }

        public Criteria andExamDescriptionNotBetween(String value1, String value2) {
            addCriterion("exam_Description not between", value1, value2, "examDescription");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightIsNull() {
            addCriterion("Objective_weight is null");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightIsNotNull() {
            addCriterion("Objective_weight is not null");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightEqualTo(BigDecimal value) {
            addCriterion("Objective_weight =", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightNotEqualTo(BigDecimal value) {
            addCriterion("Objective_weight <>", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightGreaterThan(BigDecimal value) {
            addCriterion("Objective_weight >", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("Objective_weight >=", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightLessThan(BigDecimal value) {
            addCriterion("Objective_weight <", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("Objective_weight <=", value, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightIn(List<BigDecimal> values) {
            addCriterion("Objective_weight in", values, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightNotIn(List<BigDecimal> values) {
            addCriterion("Objective_weight not in", values, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("Objective_weight between", value1, value2, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andObjectiveWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("Objective_weight not between", value1, value2, "objectiveWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightIsNull() {
            addCriterion("case_weight is null");
            return (Criteria) this;
        }

        public Criteria andCaseWeightIsNotNull() {
            addCriterion("case_weight is not null");
            return (Criteria) this;
        }

        public Criteria andCaseWeightEqualTo(BigDecimal value) {
            addCriterion("case_weight =", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightNotEqualTo(BigDecimal value) {
            addCriterion("case_weight <>", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightGreaterThan(BigDecimal value) {
            addCriterion("case_weight >", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_weight >=", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightLessThan(BigDecimal value) {
            addCriterion("case_weight <", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_weight <=", value, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightIn(List<BigDecimal> values) {
            addCriterion("case_weight in", values, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightNotIn(List<BigDecimal> values) {
            addCriterion("case_weight not in", values, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_weight between", value1, value2, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andCaseWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_weight not between", value1, value2, "caseWeight");
            return (Criteria) this;
        }

        public Criteria andSingleScoreIsNull() {
            addCriterion("single_score is null");
            return (Criteria) this;
        }

        public Criteria andSingleScoreIsNotNull() {
            addCriterion("single_score is not null");
            return (Criteria) this;
        }

        public Criteria andSingleScoreEqualTo(BigDecimal value) {
            addCriterion("single_score =", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreNotEqualTo(BigDecimal value) {
            addCriterion("single_score <>", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreGreaterThan(BigDecimal value) {
            addCriterion("single_score >", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("single_score >=", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreLessThan(BigDecimal value) {
            addCriterion("single_score <", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("single_score <=", value, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreIn(List<BigDecimal> values) {
            addCriterion("single_score in", values, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreNotIn(List<BigDecimal> values) {
            addCriterion("single_score not in", values, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_score between", value1, value2, "singleScore");
            return (Criteria) this;
        }

        public Criteria andSingleScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("single_score not between", value1, value2, "singleScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreIsNull() {
            addCriterion("many_score is null");
            return (Criteria) this;
        }

        public Criteria andManyScoreIsNotNull() {
            addCriterion("many_score is not null");
            return (Criteria) this;
        }

        public Criteria andManyScoreEqualTo(BigDecimal value) {
            addCriterion("many_score =", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreNotEqualTo(BigDecimal value) {
            addCriterion("many_score <>", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreGreaterThan(BigDecimal value) {
            addCriterion("many_score >", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("many_score >=", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreLessThan(BigDecimal value) {
            addCriterion("many_score <", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("many_score <=", value, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreIn(List<BigDecimal> values) {
            addCriterion("many_score in", values, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreNotIn(List<BigDecimal> values) {
            addCriterion("many_score not in", values, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("many_score between", value1, value2, "manyScore");
            return (Criteria) this;
        }

        public Criteria andManyScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("many_score not between", value1, value2, "manyScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreIsNull() {
            addCriterion("judge_score is null");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreIsNotNull() {
            addCriterion("judge_score is not null");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreEqualTo(BigDecimal value) {
            addCriterion("judge_score =", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreNotEqualTo(BigDecimal value) {
            addCriterion("judge_score <>", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreGreaterThan(BigDecimal value) {
            addCriterion("judge_score >", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("judge_score >=", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreLessThan(BigDecimal value) {
            addCriterion("judge_score <", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("judge_score <=", value, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreIn(List<BigDecimal> values) {
            addCriterion("judge_score in", values, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreNotIn(List<BigDecimal> values) {
            addCriterion("judge_score not in", values, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("judge_score between", value1, value2, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andJudgeScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("judge_score not between", value1, value2, "judgeScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNull() {
            addCriterion("case_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNotNull() {
            addCriterion("case_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreEqualTo(BigDecimal value) {
            addCriterion("case_score =", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_score <>", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThan(BigDecimal value) {
            addCriterion("case_score >", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score >=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThan(BigDecimal value) {
            addCriterion("case_score <", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score <=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIn(List<BigDecimal> values) {
            addCriterion("case_score in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_score not in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score between", value1, value2, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score not between", value1, value2, "caseScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}