package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class TeaLearningStatisticsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TeaLearningStatisticsExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountIsNull() {
            addCriterion("practice_task_count is null");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountIsNotNull() {
            addCriterion("practice_task_count is not null");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountEqualTo(Integer value) {
            addCriterion("practice_task_count =", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountNotEqualTo(Integer value) {
            addCriterion("practice_task_count <>", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountGreaterThan(Integer value) {
            addCriterion("practice_task_count >", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("practice_task_count >=", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountLessThan(Integer value) {
            addCriterion("practice_task_count <", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountLessThanOrEqualTo(Integer value) {
            addCriterion("practice_task_count <=", value, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountIn(List<Integer> values) {
            addCriterion("practice_task_count in", values, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountNotIn(List<Integer> values) {
            addCriterion("practice_task_count not in", values, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountBetween(Integer value1, Integer value2) {
            addCriterion("practice_task_count between", value1, value2, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeTaskCountNotBetween(Integer value1, Integer value2) {
            addCriterion("practice_task_count not between", value1, value2, "practiceTaskCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountIsNull() {
            addCriterion("practice_case_count is null");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountIsNotNull() {
            addCriterion("practice_case_count is not null");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountEqualTo(Integer value) {
            addCriterion("practice_case_count =", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountNotEqualTo(Integer value) {
            addCriterion("practice_case_count <>", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountGreaterThan(Integer value) {
            addCriterion("practice_case_count >", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("practice_case_count >=", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountLessThan(Integer value) {
            addCriterion("practice_case_count <", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountLessThanOrEqualTo(Integer value) {
            addCriterion("practice_case_count <=", value, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountIn(List<Integer> values) {
            addCriterion("practice_case_count in", values, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountNotIn(List<Integer> values) {
            addCriterion("practice_case_count not in", values, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountBetween(Integer value1, Integer value2) {
            addCriterion("practice_case_count between", value1, value2, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andPracticeCaseCountNotBetween(Integer value1, Integer value2) {
            addCriterion("practice_case_count not between", value1, value2, "practiceCaseCount");
            return (Criteria) this;
        }

        public Criteria andLearningDurationIsNull() {
            addCriterion("learning_duration is null");
            return (Criteria) this;
        }

        public Criteria andLearningDurationIsNotNull() {
            addCriterion("learning_duration is not null");
            return (Criteria) this;
        }

        public Criteria andLearningDurationEqualTo(Integer value) {
            addCriterion("learning_duration =", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationNotEqualTo(Integer value) {
            addCriterion("learning_duration <>", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationGreaterThan(Integer value) {
            addCriterion("learning_duration >", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationGreaterThanOrEqualTo(Integer value) {
            addCriterion("learning_duration >=", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationLessThan(Integer value) {
            addCriterion("learning_duration <", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationLessThanOrEqualTo(Integer value) {
            addCriterion("learning_duration <=", value, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationIn(List<Integer> values) {
            addCriterion("learning_duration in", values, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationNotIn(List<Integer> values) {
            addCriterion("learning_duration not in", values, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationBetween(Integer value1, Integer value2) {
            addCriterion("learning_duration between", value1, value2, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andLearningDurationNotBetween(Integer value1, Integer value2) {
            addCriterion("learning_duration not between", value1, value2, "learningDuration");
            return (Criteria) this;
        }

        public Criteria andTaskProgressIsNull() {
            addCriterion("task_progress is null");
            return (Criteria) this;
        }

        public Criteria andTaskProgressIsNotNull() {
            addCriterion("task_progress is not null");
            return (Criteria) this;
        }

        public Criteria andTaskProgressEqualTo(BigDecimal value) {
            addCriterion("task_progress =", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressNotEqualTo(BigDecimal value) {
            addCriterion("task_progress <>", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressGreaterThan(BigDecimal value) {
            addCriterion("task_progress >", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("task_progress >=", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressLessThan(BigDecimal value) {
            addCriterion("task_progress <", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressLessThanOrEqualTo(BigDecimal value) {
            addCriterion("task_progress <=", value, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressIn(List<BigDecimal> values) {
            addCriterion("task_progress in", values, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressNotIn(List<BigDecimal> values) {
            addCriterion("task_progress not in", values, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("task_progress between", value1, value2, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andTaskProgressNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("task_progress not between", value1, value2, "taskProgress");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentIsNull() {
            addCriterion("practical_assessment is null");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentIsNotNull() {
            addCriterion("practical_assessment is not null");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentEqualTo(String value) {
            addCriterion("practical_assessment =", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentNotEqualTo(String value) {
            addCriterion("practical_assessment <>", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentGreaterThan(String value) {
            addCriterion("practical_assessment >", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentGreaterThanOrEqualTo(String value) {
            addCriterion("practical_assessment >=", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentLessThan(String value) {
            addCriterion("practical_assessment <", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentLessThanOrEqualTo(String value) {
            addCriterion("practical_assessment <=", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentLike(String value) {
            addCriterion("practical_assessment like", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentNotLike(String value) {
            addCriterion("practical_assessment not like", value, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentIn(List<String> values) {
            addCriterion("practical_assessment in", values, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentNotIn(List<String> values) {
            addCriterion("practical_assessment not in", values, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentBetween(String value1, String value2) {
            addCriterion("practical_assessment between", value1, value2, "practicalAssessment");
            return (Criteria) this;
        }

        public Criteria andPracticalAssessmentNotBetween(String value1, String value2) {
            addCriterion("practical_assessment not between", value1, value2, "practicalAssessment");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}