package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学生考试案例表
 *
 * @author xcj
 * stu_exam_case
 */
public class StuExamCase {
    @ApiModelProperty("学生考试案例ID")
    private String examCaseId;

    @ApiModelProperty("考试管理ID（保证学生答案为当前考试下的数据）")
    private String examManageId;

    @ApiModelProperty("案例题ID")
    private String caseId;

    @ApiModelProperty("学生答案")
    private String studentAnswer;

    @ApiModelProperty("学生得分")
    private BigDecimal caseScore;

    public String getExamCaseId() {
        return examCaseId;
    }

    public void setExamCaseId(String examCaseId) {
        this.examCaseId = examCaseId == null ? null : examCaseId.trim();
    }

    public String getExamManageId() {
        return examManageId;
    }

    public void setExamManageId(String examManageId) {
        this.examManageId = examManageId == null ? null : examManageId.trim();
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public String getStudentAnswer() {
        return studentAnswer;
    }

    public void setStudentAnswer(String studentAnswer) {
        this.studentAnswer = studentAnswer == null ? null : studentAnswer.trim();
    }

    public BigDecimal getCaseScore() {
        return caseScore;
    }

    public void setCaseScore(BigDecimal caseScore) {
        this.caseScore = caseScore;
    }
}