package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuExamCaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuExamCaseExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andExamCaseIdIsNull() {
            addCriterion("exam_case_id is null");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdIsNotNull() {
            addCriterion("exam_case_id is not null");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdEqualTo(String value) {
            addCriterion("exam_case_id =", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdNotEqualTo(String value) {
            addCriterion("exam_case_id <>", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdGreaterThan(String value) {
            addCriterion("exam_case_id >", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdGreaterThanOrEqualTo(String value) {
            addCriterion("exam_case_id >=", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdLessThan(String value) {
            addCriterion("exam_case_id <", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdLessThanOrEqualTo(String value) {
            addCriterion("exam_case_id <=", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdLike(String value) {
            addCriterion("exam_case_id like", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdNotLike(String value) {
            addCriterion("exam_case_id not like", value, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdIn(List<String> values) {
            addCriterion("exam_case_id in", values, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdNotIn(List<String> values) {
            addCriterion("exam_case_id not in", values, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdBetween(String value1, String value2) {
            addCriterion("exam_case_id between", value1, value2, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamCaseIdNotBetween(String value1, String value2) {
            addCriterion("exam_case_id not between", value1, value2, "examCaseId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIsNull() {
            addCriterion("exam_manage_id is null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIsNotNull() {
            addCriterion("exam_manage_id is not null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdEqualTo(String value) {
            addCriterion("exam_manage_id =", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotEqualTo(String value) {
            addCriterion("exam_manage_id <>", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThan(String value) {
            addCriterion("exam_manage_id >", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThanOrEqualTo(String value) {
            addCriterion("exam_manage_id >=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThan(String value) {
            addCriterion("exam_manage_id <", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThanOrEqualTo(String value) {
            addCriterion("exam_manage_id <=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLike(String value) {
            addCriterion("exam_manage_id like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotLike(String value) {
            addCriterion("exam_manage_id not like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIn(List<String> values) {
            addCriterion("exam_manage_id in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotIn(List<String> values) {
            addCriterion("exam_manage_id not in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdBetween(String value1, String value2) {
            addCriterion("exam_manage_id between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotBetween(String value1, String value2) {
            addCriterion("exam_manage_id not between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andCaseIdIsNull() {
            addCriterion("case_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseIdIsNotNull() {
            addCriterion("case_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseIdEqualTo(String value) {
            addCriterion("case_id =", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotEqualTo(String value) {
            addCriterion("case_id <>", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThan(String value) {
            addCriterion("case_id >", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_id >=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThan(String value) {
            addCriterion("case_id <", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThanOrEqualTo(String value) {
            addCriterion("case_id <=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLike(String value) {
            addCriterion("case_id like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotLike(String value) {
            addCriterion("case_id not like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdIn(List<String> values) {
            addCriterion("case_id in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotIn(List<String> values) {
            addCriterion("case_id not in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdBetween(String value1, String value2) {
            addCriterion("case_id between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotBetween(String value1, String value2) {
            addCriterion("case_id not between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerIsNull() {
            addCriterion("student_answer is null");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerIsNotNull() {
            addCriterion("student_answer is not null");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerEqualTo(String value) {
            addCriterion("student_answer =", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerNotEqualTo(String value) {
            addCriterion("student_answer <>", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerGreaterThan(String value) {
            addCriterion("student_answer >", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("student_answer >=", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerLessThan(String value) {
            addCriterion("student_answer <", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerLessThanOrEqualTo(String value) {
            addCriterion("student_answer <=", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerLike(String value) {
            addCriterion("student_answer like", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerNotLike(String value) {
            addCriterion("student_answer not like", value, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerIn(List<String> values) {
            addCriterion("student_answer in", values, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerNotIn(List<String> values) {
            addCriterion("student_answer not in", values, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerBetween(String value1, String value2) {
            addCriterion("student_answer between", value1, value2, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andStudentAnswerNotBetween(String value1, String value2) {
            addCriterion("student_answer not between", value1, value2, "studentAnswer");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNull() {
            addCriterion("case_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNotNull() {
            addCriterion("case_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreEqualTo(BigDecimal value) {
            addCriterion("case_score =", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_score <>", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThan(BigDecimal value) {
            addCriterion("case_score >", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score >=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThan(BigDecimal value) {
            addCriterion("case_score <", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score <=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIn(List<BigDecimal> values) {
            addCriterion("case_score in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_score not in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score between", value1, value2, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score not between", value1, value2, "caseScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}