package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学生考试表
 *
 * @author xcj
 * stu_student_exam
 */
public class StuStudentExam {
    @ApiModelProperty("学生考试ID")
    private String studentExamId;

    @ApiModelProperty("考试管理ID")
    private String examManageId;

    @ApiModelProperty("用户ID（重新考试则将分数和答案IDs设为null）")
    private String userid;

    @ApiModelProperty("客观题得分")
    private BigDecimal objectiveScore;

    @ApiModelProperty("案例题得分")
    private BigDecimal caseScore;

    @ApiModelProperty("总分")
    private BigDecimal totalScore;

    @ApiModelProperty("班级名称")
    private String className;

    public String getStudentExamId() {
        return studentExamId;
    }

    public void setStudentExamId(String studentExamId) {
        this.studentExamId = studentExamId == null ? null : studentExamId.trim();
    }

    public String getExamManageId() {
        return examManageId;
    }

    public void setExamManageId(String examManageId) {
        this.examManageId = examManageId == null ? null : examManageId.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public BigDecimal getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(BigDecimal objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public BigDecimal getCaseScore() {
        return caseScore;
    }

    public void setCaseScore(BigDecimal caseScore) {
        this.caseScore = caseScore;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }
}