package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuStudentExamExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuStudentExamExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andStudentExamIdIsNull() {
            addCriterion("student_exam_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdIsNotNull() {
            addCriterion("student_exam_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdEqualTo(String value) {
            addCriterion("student_exam_id =", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdNotEqualTo(String value) {
            addCriterion("student_exam_id <>", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdGreaterThan(String value) {
            addCriterion("student_exam_id >", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_exam_id >=", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdLessThan(String value) {
            addCriterion("student_exam_id <", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdLessThanOrEqualTo(String value) {
            addCriterion("student_exam_id <=", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdLike(String value) {
            addCriterion("student_exam_id like", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdNotLike(String value) {
            addCriterion("student_exam_id not like", value, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdIn(List<String> values) {
            addCriterion("student_exam_id in", values, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdNotIn(List<String> values) {
            addCriterion("student_exam_id not in", values, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdBetween(String value1, String value2) {
            addCriterion("student_exam_id between", value1, value2, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andStudentExamIdNotBetween(String value1, String value2) {
            addCriterion("student_exam_id not between", value1, value2, "studentExamId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIsNull() {
            addCriterion("exam_manage_id is null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIsNotNull() {
            addCriterion("exam_manage_id is not null");
            return (Criteria) this;
        }

        public Criteria andExamManageIdEqualTo(String value) {
            addCriterion("exam_manage_id =", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotEqualTo(String value) {
            addCriterion("exam_manage_id <>", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThan(String value) {
            addCriterion("exam_manage_id >", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdGreaterThanOrEqualTo(String value) {
            addCriterion("exam_manage_id >=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThan(String value) {
            addCriterion("exam_manage_id <", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLessThanOrEqualTo(String value) {
            addCriterion("exam_manage_id <=", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdLike(String value) {
            addCriterion("exam_manage_id like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotLike(String value) {
            addCriterion("exam_manage_id not like", value, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdIn(List<String> values) {
            addCriterion("exam_manage_id in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotIn(List<String> values) {
            addCriterion("exam_manage_id not in", values, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdBetween(String value1, String value2) {
            addCriterion("exam_manage_id between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andExamManageIdNotBetween(String value1, String value2) {
            addCriterion("exam_manage_id not between", value1, value2, "examManageId");
            return (Criteria) this;
        }

        public Criteria andUseridIsNull() {
            addCriterion("userid is null");
            return (Criteria) this;
        }

        public Criteria andUseridIsNotNull() {
            addCriterion("userid is not null");
            return (Criteria) this;
        }

        public Criteria andUseridEqualTo(String value) {
            addCriterion("userid =", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotEqualTo(String value) {
            addCriterion("userid <>", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridGreaterThan(String value) {
            addCriterion("userid >", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridGreaterThanOrEqualTo(String value) {
            addCriterion("userid >=", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLessThan(String value) {
            addCriterion("userid <", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLessThanOrEqualTo(String value) {
            addCriterion("userid <=", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLike(String value) {
            addCriterion("userid like", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotLike(String value) {
            addCriterion("userid not like", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridIn(List<String> values) {
            addCriterion("userid in", values, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotIn(List<String> values) {
            addCriterion("userid not in", values, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridBetween(String value1, String value2) {
            addCriterion("userid between", value1, value2, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotBetween(String value1, String value2) {
            addCriterion("userid not between", value1, value2, "userid");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreIsNull() {
            addCriterion("Objective_score is null");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreIsNotNull() {
            addCriterion("Objective_score is not null");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreEqualTo(BigDecimal value) {
            addCriterion("Objective_score =", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreNotEqualTo(BigDecimal value) {
            addCriterion("Objective_score <>", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreGreaterThan(BigDecimal value) {
            addCriterion("Objective_score >", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("Objective_score >=", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreLessThan(BigDecimal value) {
            addCriterion("Objective_score <", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("Objective_score <=", value, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreIn(List<BigDecimal> values) {
            addCriterion("Objective_score in", values, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreNotIn(List<BigDecimal> values) {
            addCriterion("Objective_score not in", values, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("Objective_score between", value1, value2, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andObjectiveScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("Objective_score not between", value1, value2, "objectiveScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNull() {
            addCriterion("case_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIsNotNull() {
            addCriterion("case_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseScoreEqualTo(BigDecimal value) {
            addCriterion("case_score =", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_score <>", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThan(BigDecimal value) {
            addCriterion("case_score >", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score >=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThan(BigDecimal value) {
            addCriterion("case_score <", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_score <=", value, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreIn(List<BigDecimal> values) {
            addCriterion("case_score in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_score not in", values, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score between", value1, value2, "caseScore");
            return (Criteria) this;
        }

        public Criteria andCaseScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_score not between", value1, value2, "caseScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNull() {
            addCriterion("total_score is null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNotNull() {
            addCriterion("total_score is not null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreEqualTo(BigDecimal value) {
            addCriterion("total_score =", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotEqualTo(BigDecimal value) {
            addCriterion("total_score <>", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThan(BigDecimal value) {
            addCriterion("total_score >", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score >=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThan(BigDecimal value) {
            addCriterion("total_score <", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score <=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIn(List<BigDecimal> values) {
            addCriterion("total_score in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotIn(List<BigDecimal> values) {
            addCriterion("total_score not in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score not between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}