package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例题库表
 *
 * @author xcj
 * sys_case_question_bank
 */
public class SysCaseQuestionBank {
    @ApiModelProperty("案例题ID")
    private String caseId;

    @ApiModelProperty("案例题步骤ID")
    private String caseStepId;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("题目标题")
    private String title;

    @ApiModelProperty("题目内容")
    private String content;

    @ApiModelProperty("题目问题")
    private String question;

    @ApiModelProperty("题目答案")
    private String answer;

    @ApiModelProperty("题目原文内容")
    private String contentOriginal;

    @ApiModelProperty("题目原文问题")
    private String questionOriginal;

    @ApiModelProperty("题目原文答案")
    private String answerOriginal;

    @ApiModelProperty("步骤分数")
    private BigDecimal stepScore;

    @ApiModelProperty("输入类型")
    private String inputType;

    @ApiModelProperty("题目类型")
    private String type;

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public String getCaseStepId() {
        return caseStepId;
    }

    public void setCaseStepId(String caseStepId) {
        this.caseStepId = caseStepId == null ? null : caseStepId.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question == null ? null : question.trim();
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer == null ? null : answer.trim();
    }

    public String getContentOriginal() {
        return contentOriginal;
    }

    public void setContentOriginal(String contentOriginal) {
        this.contentOriginal = contentOriginal == null ? null : contentOriginal.trim();
    }

    public String getQuestionOriginal() {
        return questionOriginal;
    }

    public void setQuestionOriginal(String questionOriginal) {
        this.questionOriginal = questionOriginal == null ? null : questionOriginal.trim();
    }

    public String getAnswerOriginal() {
        return answerOriginal;
    }

    public void setAnswerOriginal(String answerOriginal) {
        this.answerOriginal = answerOriginal == null ? null : answerOriginal.trim();
    }

    public BigDecimal getStepScore() {
        return stepScore;
    }

    public void setStepScore(BigDecimal stepScore) {
        this.stepScore = stepScore;
    }

    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType == null ? null : inputType.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }
}