package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class SysObjectiveQuestionExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SysObjectiveQuestionExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andObjectiveIdIsNull() {
            addCriterion("objective_id is null");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdIsNotNull() {
            addCriterion("objective_id is not null");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdEqualTo(String value) {
            addCriterion("objective_id =", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdNotEqualTo(String value) {
            addCriterion("objective_id <>", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdGreaterThan(String value) {
            addCriterion("objective_id >", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdGreaterThanOrEqualTo(String value) {
            addCriterion("objective_id >=", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdLessThan(String value) {
            addCriterion("objective_id <", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdLessThanOrEqualTo(String value) {
            addCriterion("objective_id <=", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdLike(String value) {
            addCriterion("objective_id like", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdNotLike(String value) {
            addCriterion("objective_id not like", value, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdIn(List<String> values) {
            addCriterion("objective_id in", values, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdNotIn(List<String> values) {
            addCriterion("objective_id not in", values, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdBetween(String value1, String value2) {
            addCriterion("objective_id between", value1, value2, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andObjectiveIdNotBetween(String value1, String value2) {
            addCriterion("objective_id not between", value1, value2, "objectiveId");
            return (Criteria) this;
        }

        public Criteria andCourseIdIsNull() {
            addCriterion("course_id is null");
            return (Criteria) this;
        }

        public Criteria andCourseIdIsNotNull() {
            addCriterion("course_id is not null");
            return (Criteria) this;
        }

        public Criteria andCourseIdEqualTo(String value) {
            addCriterion("course_id =", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdNotEqualTo(String value) {
            addCriterion("course_id <>", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdGreaterThan(String value) {
            addCriterion("course_id >", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdGreaterThanOrEqualTo(String value) {
            addCriterion("course_id >=", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdLessThan(String value) {
            addCriterion("course_id <", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdLessThanOrEqualTo(String value) {
            addCriterion("course_id <=", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdLike(String value) {
            addCriterion("course_id like", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdNotLike(String value) {
            addCriterion("course_id not like", value, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdIn(List<String> values) {
            addCriterion("course_id in", values, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdNotIn(List<String> values) {
            addCriterion("course_id not in", values, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdBetween(String value1, String value2) {
            addCriterion("course_id between", value1, value2, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseIdNotBetween(String value1, String value2) {
            addCriterion("course_id not between", value1, value2, "courseId");
            return (Criteria) this;
        }

        public Criteria andCourseNameIsNull() {
            addCriterion("course_name is null");
            return (Criteria) this;
        }

        public Criteria andCourseNameIsNotNull() {
            addCriterion("course_name is not null");
            return (Criteria) this;
        }

        public Criteria andCourseNameEqualTo(String value) {
            addCriterion("course_name =", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameNotEqualTo(String value) {
            addCriterion("course_name <>", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameGreaterThan(String value) {
            addCriterion("course_name >", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameGreaterThanOrEqualTo(String value) {
            addCriterion("course_name >=", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameLessThan(String value) {
            addCriterion("course_name <", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameLessThanOrEqualTo(String value) {
            addCriterion("course_name <=", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameLike(String value) {
            addCriterion("course_name like", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameNotLike(String value) {
            addCriterion("course_name not like", value, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameIn(List<String> values) {
            addCriterion("course_name in", values, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameNotIn(List<String> values) {
            addCriterion("course_name not in", values, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameBetween(String value1, String value2) {
            addCriterion("course_name between", value1, value2, "courseName");
            return (Criteria) this;
        }

        public Criteria andCourseNameNotBetween(String value1, String value2) {
            addCriterion("course_name not between", value1, value2, "courseName");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNull() {
            addCriterion("chapter_id is null");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNotNull() {
            addCriterion("chapter_id is not null");
            return (Criteria) this;
        }

        public Criteria andChapterIdEqualTo(String value) {
            addCriterion("chapter_id =", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotEqualTo(String value) {
            addCriterion("chapter_id <>", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThan(String value) {
            addCriterion("chapter_id >", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_id >=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThan(String value) {
            addCriterion("chapter_id <", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThanOrEqualTo(String value) {
            addCriterion("chapter_id <=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLike(String value) {
            addCriterion("chapter_id like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotLike(String value) {
            addCriterion("chapter_id not like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIn(List<String> values) {
            addCriterion("chapter_id in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotIn(List<String> values) {
            addCriterion("chapter_id not in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdBetween(String value1, String value2) {
            addCriterion("chapter_id between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotBetween(String value1, String value2) {
            addCriterion("chapter_id not between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNull() {
            addCriterion("chapter_name is null");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNotNull() {
            addCriterion("chapter_name is not null");
            return (Criteria) this;
        }

        public Criteria andChapterNameEqualTo(String value) {
            addCriterion("chapter_name =", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotEqualTo(String value) {
            addCriterion("chapter_name <>", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThan(String value) {
            addCriterion("chapter_name >", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_name >=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThan(String value) {
            addCriterion("chapter_name <", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThanOrEqualTo(String value) {
            addCriterion("chapter_name <=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLike(String value) {
            addCriterion("chapter_name like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotLike(String value) {
            addCriterion("chapter_name not like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameIn(List<String> values) {
            addCriterion("chapter_name in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotIn(List<String> values) {
            addCriterion("chapter_name not in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameBetween(String value1, String value2) {
            addCriterion("chapter_name between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotBetween(String value1, String value2) {
            addCriterion("chapter_name not between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNull() {
            addCriterion("input_type is null");
            return (Criteria) this;
        }

        public Criteria andInputTypeIsNotNull() {
            addCriterion("input_type is not null");
            return (Criteria) this;
        }

        public Criteria andInputTypeEqualTo(String value) {
            addCriterion("input_type =", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotEqualTo(String value) {
            addCriterion("input_type <>", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThan(String value) {
            addCriterion("input_type >", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeGreaterThanOrEqualTo(String value) {
            addCriterion("input_type >=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThan(String value) {
            addCriterion("input_type <", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLessThanOrEqualTo(String value) {
            addCriterion("input_type <=", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeLike(String value) {
            addCriterion("input_type like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotLike(String value) {
            addCriterion("input_type not like", value, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeIn(List<String> values) {
            addCriterion("input_type in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotIn(List<String> values) {
            addCriterion("input_type not in", values, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeBetween(String value1, String value2) {
            addCriterion("input_type between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andInputTypeNotBetween(String value1, String value2) {
            addCriterion("input_type not between", value1, value2, "inputType");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andScoreIsNull() {
            addCriterion("score is null");
            return (Criteria) this;
        }

        public Criteria andScoreIsNotNull() {
            addCriterion("score is not null");
            return (Criteria) this;
        }

        public Criteria andScoreEqualTo(BigDecimal value) {
            addCriterion("score =", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotEqualTo(BigDecimal value) {
            addCriterion("score <>", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreGreaterThan(BigDecimal value) {
            addCriterion("score >", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("score >=", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreLessThan(BigDecimal value) {
            addCriterion("score <", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("score <=", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreIn(List<BigDecimal> values) {
            addCriterion("score in", values, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotIn(List<BigDecimal> values) {
            addCriterion("score not in", values, "score");
            return (Criteria) this;
        }

        public Criteria andScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("score between", value1, value2, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("score not between", value1, value2, "score");
            return (Criteria) this;
        }

        public Criteria andQuestionAIsNull() {
            addCriterion("question_a is null");
            return (Criteria) this;
        }

        public Criteria andQuestionAIsNotNull() {
            addCriterion("question_a is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionAEqualTo(String value) {
            addCriterion("question_a =", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionANotEqualTo(String value) {
            addCriterion("question_a <>", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionAGreaterThan(String value) {
            addCriterion("question_a >", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionAGreaterThanOrEqualTo(String value) {
            addCriterion("question_a >=", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionALessThan(String value) {
            addCriterion("question_a <", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionALessThanOrEqualTo(String value) {
            addCriterion("question_a <=", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionALike(String value) {
            addCriterion("question_a like", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionANotLike(String value) {
            addCriterion("question_a not like", value, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionAIn(List<String> values) {
            addCriterion("question_a in", values, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionANotIn(List<String> values) {
            addCriterion("question_a not in", values, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionABetween(String value1, String value2) {
            addCriterion("question_a between", value1, value2, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionANotBetween(String value1, String value2) {
            addCriterion("question_a not between", value1, value2, "questionA");
            return (Criteria) this;
        }

        public Criteria andQuestionBIsNull() {
            addCriterion("question_b is null");
            return (Criteria) this;
        }

        public Criteria andQuestionBIsNotNull() {
            addCriterion("question_b is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionBEqualTo(String value) {
            addCriterion("question_b =", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBNotEqualTo(String value) {
            addCriterion("question_b <>", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBGreaterThan(String value) {
            addCriterion("question_b >", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBGreaterThanOrEqualTo(String value) {
            addCriterion("question_b >=", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBLessThan(String value) {
            addCriterion("question_b <", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBLessThanOrEqualTo(String value) {
            addCriterion("question_b <=", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBLike(String value) {
            addCriterion("question_b like", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBNotLike(String value) {
            addCriterion("question_b not like", value, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBIn(List<String> values) {
            addCriterion("question_b in", values, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBNotIn(List<String> values) {
            addCriterion("question_b not in", values, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBBetween(String value1, String value2) {
            addCriterion("question_b between", value1, value2, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionBNotBetween(String value1, String value2) {
            addCriterion("question_b not between", value1, value2, "questionB");
            return (Criteria) this;
        }

        public Criteria andQuestionCIsNull() {
            addCriterion("question_c is null");
            return (Criteria) this;
        }

        public Criteria andQuestionCIsNotNull() {
            addCriterion("question_c is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionCEqualTo(String value) {
            addCriterion("question_c =", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCNotEqualTo(String value) {
            addCriterion("question_c <>", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCGreaterThan(String value) {
            addCriterion("question_c >", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCGreaterThanOrEqualTo(String value) {
            addCriterion("question_c >=", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCLessThan(String value) {
            addCriterion("question_c <", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCLessThanOrEqualTo(String value) {
            addCriterion("question_c <=", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCLike(String value) {
            addCriterion("question_c like", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCNotLike(String value) {
            addCriterion("question_c not like", value, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCIn(List<String> values) {
            addCriterion("question_c in", values, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCNotIn(List<String> values) {
            addCriterion("question_c not in", values, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCBetween(String value1, String value2) {
            addCriterion("question_c between", value1, value2, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionCNotBetween(String value1, String value2) {
            addCriterion("question_c not between", value1, value2, "questionC");
            return (Criteria) this;
        }

        public Criteria andQuestionDIsNull() {
            addCriterion("question_d is null");
            return (Criteria) this;
        }

        public Criteria andQuestionDIsNotNull() {
            addCriterion("question_d is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionDEqualTo(String value) {
            addCriterion("question_d =", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDNotEqualTo(String value) {
            addCriterion("question_d <>", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDGreaterThan(String value) {
            addCriterion("question_d >", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDGreaterThanOrEqualTo(String value) {
            addCriterion("question_d >=", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDLessThan(String value) {
            addCriterion("question_d <", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDLessThanOrEqualTo(String value) {
            addCriterion("question_d <=", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDLike(String value) {
            addCriterion("question_d like", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDNotLike(String value) {
            addCriterion("question_d not like", value, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDIn(List<String> values) {
            addCriterion("question_d in", values, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDNotIn(List<String> values) {
            addCriterion("question_d not in", values, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDBetween(String value1, String value2) {
            addCriterion("question_d between", value1, value2, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionDNotBetween(String value1, String value2) {
            addCriterion("question_d not between", value1, value2, "questionD");
            return (Criteria) this;
        }

        public Criteria andQuestionEIsNull() {
            addCriterion("question_e is null");
            return (Criteria) this;
        }

        public Criteria andQuestionEIsNotNull() {
            addCriterion("question_e is not null");
            return (Criteria) this;
        }

        public Criteria andQuestionEEqualTo(String value) {
            addCriterion("question_e =", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionENotEqualTo(String value) {
            addCriterion("question_e <>", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionEGreaterThan(String value) {
            addCriterion("question_e >", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionEGreaterThanOrEqualTo(String value) {
            addCriterion("question_e >=", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionELessThan(String value) {
            addCriterion("question_e <", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionELessThanOrEqualTo(String value) {
            addCriterion("question_e <=", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionELike(String value) {
            addCriterion("question_e like", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionENotLike(String value) {
            addCriterion("question_e not like", value, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionEIn(List<String> values) {
            addCriterion("question_e in", values, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionENotIn(List<String> values) {
            addCriterion("question_e not in", values, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionEBetween(String value1, String value2) {
            addCriterion("question_e between", value1, value2, "questionE");
            return (Criteria) this;
        }

        public Criteria andQuestionENotBetween(String value1, String value2) {
            addCriterion("question_e not between", value1, value2, "questionE");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNull() {
            addCriterion("answer is null");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNotNull() {
            addCriterion("answer is not null");
            return (Criteria) this;
        }

        public Criteria andAnswerEqualTo(String value) {
            addCriterion("answer =", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotEqualTo(String value) {
            addCriterion("answer <>", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThan(String value) {
            addCriterion("answer >", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("answer >=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThan(String value) {
            addCriterion("answer <", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThanOrEqualTo(String value) {
            addCriterion("answer <=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLike(String value) {
            addCriterion("answer like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotLike(String value) {
            addCriterion("answer not like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerIn(List<String> values) {
            addCriterion("answer in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotIn(List<String> values) {
            addCriterion("answer not in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerBetween(String value1, String value2) {
            addCriterion("answer between", value1, value2, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotBetween(String value1, String value2) {
            addCriterion("answer not between", value1, value2, "answer");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}