package com.sztzjy.financial_bigdata.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学习数据统计分析表
 *
 * @author xcj
 * tea_learning_statistics
 */
public class TeaLearningStatistics {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("实训演练已学任务数量")
    private Integer practiceTaskCount;

    @ApiModelProperty("实训演练已学案例数量")
    private Integer practiceCaseCount;

    @ApiModelProperty("实训演练学习时长")
    private Integer learningDuration;

    @ApiModelProperty("实训演练任务进度")
    private BigDecimal taskProgress;

    @ApiModelProperty("实战考核")
    private String practicalAssessment;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getPracticeTaskCount() {
        return practiceTaskCount;
    }

    public void setPracticeTaskCount(Integer practiceTaskCount) {
        this.practiceTaskCount = practiceTaskCount;
    }

    public Integer getPracticeCaseCount() {
        return practiceCaseCount;
    }

    public void setPracticeCaseCount(Integer practiceCaseCount) {
        this.practiceCaseCount = practiceCaseCount;
    }

    public Integer getLearningDuration() {
        return learningDuration;
    }

    public void setLearningDuration(Integer learningDuration) {
        this.learningDuration = learningDuration;
    }

    public BigDecimal getTaskProgress() {
        return taskProgress;
    }

    public void setTaskProgress(BigDecimal taskProgress) {
        this.taskProgress = taskProgress;
    }

    public String getPracticalAssessment() {
        return practicalAssessment;
    }

    public void setPracticalAssessment(String practicalAssessment) {
        this.practicalAssessment = practicalAssessment == null ? null : practicalAssessment.trim();
    }
}