package com.sztzjy.financial_bigdata.service.tea.impl;

import com.sztzjy.financial_bigdata.entity.TeaResourceCenter;
import com.sztzjy.financial_bigdata.entity.TeaResourceCenterExample;
import com.sztzjy.financial_bigdata.mapper.TeaResourceCenterMapper;
import com.sztzjy.financial_bigdata.service.tea.ITeaResourceCenterService;
import com.sztzjy.financial_bigdata.util.file.IFileUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.UUID;

@Service
public class TeaResourceCenterServiceImpl implements ITeaResourceCenterService {
    @Autowired
    IFileUtil fileUtil;
    @Autowired
    TeaResourceCenterMapper resourceCenterMapper;
    @Override
    public Boolean uploadResource(MultipartFile file, String schoolId,String chapterId) {
        String uploadUrl = fileUtil.upload(file);
        TeaResourceCenter resourceCenter=new TeaResourceCenter();
        resourceCenter.setResourceId(String.valueOf(UUID.randomUUID()));
        resourceCenter.setResourceName(file.getOriginalFilename());
        resourceCenter.setResourceUrl(uploadUrl);
        resourceCenter.setChapterId(chapterId);
        resourceCenter.setSchoolId(schoolId);
        int insert = resourceCenterMapper.insert(resourceCenter);
        if(insert!=0){
            return true;
        }else {
            return false;
        }

    }

    @Override
    public List<TeaResourceCenter> selectResource(String schoolId, String chapterId) {
//        TeaResourceCenterExample example=new TeaResourceCenterExample();
//        TeaResourceCenterExample.Criteria criteria = example.createCriteria();
//        criteria.andChapterIdEqualTo(chapterId).andSc
//        resourceCenterMapper.selectByExample()
        return null;
    }
}
